package lab;

import javafx.geometry.Rectangle2D;

public interface Collisionable {
	
	void hitBy(Collisionable other);
	
	default boolean intersects(Collisionable other) {
		return getBoundingBox().intersects(other.getBoundingBox());
	}
	
	Rectangle2D getBoundingBox();

}
